Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalManager

    java.lang.Object
      com.bea.jsptools.portal.PortalManager

Direct Known Subclasses:
  PortalAdminInstanceManager, PortalAdminManager

public class PortalManager
extends Object

Field Summary
`static PortalLogger` | `logger`

Constructor Summary
`PortalManager()`

Method Summary
`static String` | `createBookDefinition(String webapp, String title, String desc, String menuId, boolean isPublic, Locale locale, HttpServletRequest request)`
`static String` | `createPageDefinition(String webapp, String title, String desc, String layoutId, boolean isPublic, Locale locale, HttpServletRequest request)`
`static BookInstance` | `getBookInstance(String id, Locale locale, HttpServletRequest request)`
`static BookView` | `getBookView(String bookInstanceId, String webAppName, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static DesktopView` | `getDesktopView(String portalPath, String webAppName, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static LayoutDefinition[]` | `getLayoutDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static String` | `getLayoutHtml(String layoutHTMLPath, String currentWebApp)`
`static LookAndFeelDefinition[]` | `getLookAndFeelDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static MenuDefinition[]` | `getMenuDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static PageInstance` | `getPageInstance(String id, Locale locale, HttpServletRequest request)`
`static PageView` | `getPageView(String pageInstanceId, String webAppName, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static PortletDefinition[]` | `getPortletDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static PortletInstance` | `getPortletInstance(String id, Locale locale, HttpServletRequest request)`
`static BookDefinition[]` | `getPublicBookDefinitions(String webapp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static PageDefinition[]` | `getPublicPageDefinitions(String webapp, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static ThemeDefinition[]` | `getThemeDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static boolean` | `isPlaceholderInstanceLocked(String webApp, String portalPath, String desktopPath, String pageId, String placeholderNum, HttpServletRequest request)`
`static void` | `setPortalLogger(PortalLogger log)`
`static int` | `updateBookInstanceMenu(String bookId, String newMenuId, String webapp, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static int` | `updateBookInstanceTheme(String bookId, String newThemeId, String webapp, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static int` | `updateBookInstanceTitle(String bookId, String newTitle, String webapp, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static void` | `updateDesktopInstance(String webapp, String portalPath, String desktopPath, String lookId, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static PageInstance` | `updatePageInstanceLayout(String pageId, String layoutId, String webapp, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static int` | `updatePageInstanceTheme(String pageId, String newThemeId, String webapp, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static int` | `updatePageInstanceTitle(String pageId, String newTitle, String webapp, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static PortletInstance` | `updatePortletInstanceTheme(String portletId, String newThemeId, String webapp, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`
`static int` | `updatePortletInstanceTitle(String portletId, String newTitle, String webapp, String portalPath, String desktopPath, boolean visitorMode, Locale locale, HttpServletRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static PortalLogger logger

Constructor Detail

### PortalManager

    public PortalManager()

Method Detail

### createBookDefinition

    public static String createBookDefinition(String webapp,
                                              String title,
                                              String desc,
                                              String menuId,
                                              boolean isPublic,
                                              Locale locale,
                                              HttpServletRequest request)
                                       throws MissingDataException,
                                              com.bea.p13n.entitlements.common.EntitlementsException,
                                              RemoteException,
                                              NotEntitledException

  Throws:
    `MissingDataException`
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `NotEntitledException`

### createPageDefinition

    public static String createPageDefinition(String webapp,
                                              String title,
                                              String desc,
                                              String layoutId,
                                              boolean isPublic,
                                              Locale locale,
                                              HttpServletRequest request)
                                       throws MissingDataException,
                                              com.bea.p13n.entitlements.common.EntitlementsException,
                                              RemoteException,
                                              NotEntitledException

  Throws:
    `MissingDataException`
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `NotEntitledException`

### getBookInstance

    public static BookInstance getBookInstance(String id,
                                               Locale locale,
                                               HttpServletRequest request)
                                        throws RemoteException,
                                               com.bea.p13n.entitlements.common.EntitlementsException

  Throws:
    `RemoteException`
    `com.bea.p13n.entitlements.common.EntitlementsException`

### getBookView

    public static BookView getBookView(String bookInstanceId,
                                       String webAppName,
                                       String portalPath,
                                       String desktopPath,
                                       boolean visitorMode,
                                       Locale locale,
                                       HttpServletRequest request)
                                throws com.bea.p13n.entitlements.common.EntitlementsException,
                                       RemoteException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`

### getDesktopView

    public static DesktopView getDesktopView(String portalPath,
                                             String webAppName,
                                             String desktopPath,
                                             boolean visitorMode,
                                             Locale locale,
                                             HttpServletRequest request)
                                      throws RemoteException,
                                             com.bea.p13n.entitlements.common.EntitlementsException

  Throws:
    `RemoteException`
    `com.bea.p13n.entitlements.common.EntitlementsException`

### getLayoutDefinitions

    public static LayoutDefinition[] getLayoutDefinitions(String webapp,
                                                          Locale locale,
                                                          HttpServletRequest request)
                                                   throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                          RemoteException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`

### getLayoutHtml

    public static String getLayoutHtml(String layoutHTMLPath,
                                       String currentWebApp)

### getLookAndFeelDefinitions

    public static LookAndFeelDefinition[] getLookAndFeelDefinitions(String webapp,
                                                                    Locale locale,
                                                                    HttpServletRequest request)
                                                             throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                                    RemoteException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`

### getMenuDefinitions

    public static MenuDefinition[] getMenuDefinitions(String webapp,
                                                      Locale locale,
                                                      HttpServletRequest request)
                                               throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                      RemoteException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`

### getPageInstance

    public static PageInstance getPageInstance(String id,
                                               Locale locale,
                                               HttpServletRequest request)
                                        throws RemoteException,
                                               com.bea.p13n.entitlements.common.EntitlementsException

  Throws:
    `RemoteException`
    `com.bea.p13n.entitlements.common.EntitlementsException`

### getPageView

    public static PageView getPageView(String pageInstanceId,
                                       String webAppName,
                                       String portalPath,
                                       String desktopPath,
                                       boolean visitorMode,
                                       Locale locale,
                                       HttpServletRequest request)
                                throws RemoteException,
                                       com.bea.p13n.entitlements.common.EntitlementsException

  Throws:
    `RemoteException`
    `com.bea.p13n.entitlements.common.EntitlementsException`

### getPortletDefinitions

    public static PortletDefinition[] getPortletDefinitions(String webapp,
                                                            Locale locale,
                                                            HttpServletRequest request)
                                                     throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                            RemoteException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`

### getPortletInstance

    public static PortletInstance getPortletInstance(String id,
                                                     Locale locale,
                                                     HttpServletRequest request)
                                              throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                     RemoteException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`

### getPublicBookDefinitions

    public static BookDefinition[] getPublicBookDefinitions(String webapp,
                                                            String portalPath,
                                                            String desktopPath,
                                                            Locale locale,
                                                            HttpServletRequest request)
                                                     throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                            RemoteException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`

### getPublicPageDefinitions

    public static PageDefinition[] getPublicPageDefinitions(String webapp,
                                                            String portalPath,
                                                            String desktopPath,
                                                            boolean visitorMode,
                                                            Locale locale,
                                                            HttpServletRequest request)
                                                     throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                            RemoteException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`

### getThemeDefinitions

    public static ThemeDefinition[] getThemeDefinitions(String webapp,
                                                        Locale locale,
                                                        HttpServletRequest request)
                                                 throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                        RemoteException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`

### isPlaceholderInstanceLocked

    public static boolean isPlaceholderInstanceLocked(String webApp,
                                                      String portalPath,
                                                      String desktopPath,
                                                      String pageId,
                                                      String placeholderNum,
                                                      HttpServletRequest request)
                                               throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                      RemoteException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`

### setPortalLogger

    public static void setPortalLogger(PortalLogger log)

### updateBookInstanceMenu

    public static int updateBookInstanceMenu(String bookId,
                                             String newMenuId,
                                             String webapp,
                                             String portalPath,
                                             String desktopPath,
                                             boolean visitorMode,
                                             Locale locale,
                                             HttpServletRequest request)
                                      throws com.bea.p13n.entitlements.common.EntitlementsException,
                                             RemoteException,
                                             NotEntitledException,
                                             ObjectNotFoundException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updateBookInstanceTheme

    public static int updateBookInstanceTheme(String bookId,
                                              String newThemeId,
                                              String webapp,
                                              String portalPath,
                                              String desktopPath,
                                              boolean visitorMode,
                                              Locale locale,
                                              HttpServletRequest request)
                                       throws com.bea.p13n.entitlements.common.EntitlementsException,
                                              RemoteException,
                                              NotEntitledException,
                                              ObjectNotFoundException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updateBookInstanceTitle

    public static int updateBookInstanceTitle(String bookId,
                                              String newTitle,
                                              String webapp,
                                              String portalPath,
                                              String desktopPath,
                                              boolean visitorMode,
                                              Locale locale,
                                              HttpServletRequest request)
                                       throws com.bea.p13n.entitlements.common.EntitlementsException,
                                              RemoteException,
                                              NotEntitledException,
                                              ObjectNotFoundException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updateDesktopInstance

    public static void updateDesktopInstance(String webapp,
                                             String portalPath,
                                             String desktopPath,
                                             String lookId,
                                             boolean visitorMode,
                                             Locale locale,
                                             HttpServletRequest request)
                                      throws com.bea.p13n.entitlements.common.EntitlementsException,
                                             RemoteException,
                                             ObjectNotFoundException,
                                             NotEntitledException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `ObjectNotFoundException`
    `NotEntitledException`

### updatePageInstanceLayout

    public static PageInstance updatePageInstanceLayout(String pageId,
                                                        String layoutId,
                                                        String webapp,
                                                        String portalPath,
                                                        String desktopPath,
                                                        boolean visitorMode,
                                                        Locale locale,
                                                        HttpServletRequest request)
                                                 throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                        RemoteException,
                                                        NotEntitledException,
                                                        ObjectNotFoundException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updatePageInstanceTheme

    public static int updatePageInstanceTheme(String pageId,
                                              String newThemeId,
                                              String webapp,
                                              String portalPath,
                                              String desktopPath,
                                              boolean visitorMode,
                                              Locale locale,
                                              HttpServletRequest request)
                                       throws com.bea.p13n.entitlements.common.EntitlementsException,
                                              RemoteException,
                                              NotEntitledException,
                                              ObjectNotFoundException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updatePageInstanceTitle

    public static int updatePageInstanceTitle(String pageId,
                                              String newTitle,
                                              String webapp,
                                              String portalPath,
                                              String desktopPath,
                                              boolean visitorMode,
                                              Locale locale,
                                              HttpServletRequest request)
                                       throws com.bea.p13n.entitlements.common.EntitlementsException,
                                              RemoteException,
                                              NotEntitledException,
                                              ObjectNotFoundException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updatePortletInstanceTheme

    public static PortletInstance updatePortletInstanceTheme(String portletId,
                                                             String newThemeId,
                                                             String webapp,
                                                             String portalPath,
                                                             String desktopPath,
                                                             boolean visitorMode,
                                                             Locale locale,
                                                             HttpServletRequest request)
                                                      throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                             RemoteException,
                                                             NotEntitledException,
                                                             ObjectNotFoundException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updatePortletInstanceTitle

    public static int updatePortletInstanceTitle(String portletId,
                                                 String newTitle,
                                                 String webapp,
                                                 String portalPath,
                                                 String desktopPath,
                                                 boolean visitorMode,
                                                 Locale locale,
                                                 HttpServletRequest request)
                                          throws com.bea.p13n.entitlements.common.EntitlementsException,
                                                 RemoteException,
                                                 NotEntitledException,
                                                 ObjectNotFoundException

  Throws:
    `com.bea.p13n.entitlements.common.EntitlementsException`
    `RemoteException`
    `NotEntitledException`
    `ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved